List price points with admin fields
POST
/pp/list
billing.funnelfox.comRetrieve all Price Points with the fields the support tools edit.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”org_id
required
string
Organization ID
Request bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
FilterPointIn
object
ident
Filter by Price Point ident, the unique identifier you assigned when creating the Price Point.
string
currency_code
Filter by currency code.
string
feature_ident
Filter by feature ident (returns price points that include this feature).
string
Example generated
{ "ident": "example", "currency_code": "example", "feature_ident": "example"}Responses
Section titled “Responses”200 List of price points with admin fields
Section titled “200”Media typeapplication/json
PricePointAdminListOut
object
price_points
required
Price Points
Array<object>
PricePointAdminOutPrice point as the support tools show it: everything PricePointOut hides from the public API.
Show 21 propertiesHide properties
ident
required
Ident
string
currency
required
object
CurrencyOutShow 4 propertiesHide properties
code
required
Code
string
minor_units
required
Minor Units
integer
title
required
Title
string
symbol
required
Symbol
string
intro_type
required
IntroTypeEnum
string
intro_free_trial_period
integer
intro_free_trial_period_duration
Any of:
DurationEnum
string
intro_paid_trial_period
integer
intro_paid_trial_period_duration
Any of:
DurationEnum
string
next_period
integer
next_period_duration
Any of:
DurationEnum
string
features
required
Features
Premium features included in this price point
Array<object>
FeatureOutShow 1 propertyHide property
ident
required
Ident
string
pp_id
required
Pp Id
integer
pp_version
required
Pp Version
integer
descriptor
Descriptor
string
description
Description
string
apple_pay_merchant_name
Apple Pay Merchant Name
string
pp_extra_metadata
object
Pp Extra MetadataShow 1 propertyHide property
key
additional properties
any
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time